net.ME1312.SubServers.Bungee.Host

## Class Executable

- java.lang.Object
- - net.ME1312.SubServers.Bungee.Host.Executable

All Implemented Interfaces:
  java.io.Serializable

    public class Executable
    extends java.lang.Object
    implements java.io.Serializable

Executable Variable Class

Author:
  ME1312
See Also:
  Serialized Form

### Field Summary

Fields
`boolean` `isFile`

### Constructor Summary

Constructors
Constructor and Description
`Executable(java.io.File Path)` New Executable
`Executable(java.lang.String exe)` New Executable

### Method Summary

All Methods Instance Methods Concrete Methods
`java.io.File` `toFile()` Get Executable File
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### isFile

    public boolean isFile

### Constructor Detail

#### Executable

    public Executable(java.lang.String exe)

New Executable

Parameters:
  `exe` - Executable String or File Path

#### Executable

    public Executable(java.io.File Path)

New Executable

Parameters:
  `Path` - File Path

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### toFile

    public java.io.File toFile()

Get Executable File

Returns:
  File or Null if Executable isn't a file